Index: archive/webkitgtk2.xml-again
===================================================================
--- archive/webkitgtk2.xml-again	(revision 4af99317895dd0d68f221e2cbc101bd3b3610db0)
+++ archive/webkitgtk2.xml-again	(revision 4af99317895dd0d68f221e2cbc101bd3b3610db0)
@@ -0,0 +1,400 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY webkitgtk2-download-http "http://webkitgtk.org/releases/webkitgtk-&webkitgtk2-version;.tar.xz">
+  <!ENTITY webkitgtk2-download-ftp  " ">
+  <!ENTITY webkitgtk2-md5sum        "24a25ccc30a7914ae50922aedf24b7bc">
+  <!ENTITY webkitgtk2-size          "9.5 MB">
+  <!ENTITY webkitgtk2-buildsize     "1.5 GB (both built)">
+  <!ENTITY webkitgtk2-time          "80 SBU (using parallelism=4, both built, webkitgtk-3.0 takes a little longer than webkitgtk-1.0)">
+]>
+
+<sect1 id="webkitgtk2" xreflabel="WebKitGTK+-&webkitgtk2-version;">
+  <?dbhtml filename="webkitgtk2.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>WebKitGTK+-&webkitgtk2-version;</title>
+
+  <indexterm zone="webkitgtk2">
+    <primary sortas="a-WebKitGTK+">WebKitGTK+</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to WebKitGTK+</title>
+
+    <para>
+      The <application>WebKitGTK+</application> is the port of the portable
+      web rendering engine <application>WebKit</application> to the
+      <application>GTK+ 3</application> and <application>GTK+ 2</application>
+      platforms.
+    </para>
+
+    &lfs7a_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&webkitgtk2-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&webkitgtk2-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &webkitgtk2-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &webkitgtk2-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &webkitgtk2-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &webkitgtk2-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Required patch if using gcc-6 or later
+          <ulink url="&patch-root;/webkitgtk-&webkitgtk2-version;-gcc6-1.patch"/>
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">WebKitGTK+ Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="gst10-plugins-base"/>,
+      <xref linkend="gtk3"/> or
+      <xref linkend="gtk2"/> or both,
+      <xref linkend="icu"/>,
+      <xref linkend="libgudev"/>,
+      <xref linkend="libsecret"/>,
+      <xref linkend="libsoup"/>,
+      <xref linkend="libwebp"/>,
+      <xref linkend="mesa"/>,
+      <xref linkend="ruby"/>,
+      <xref linkend="sqlite"/> and
+      <xref linkend="which"/>
+    </para>
+
+    <note>
+      <para>
+        Note that WebKit2 links against <application>GTK+ 2</application>
+        (even if <application>GTK+ 3</application> is being used) in order
+        to be able to use NPAPI plugins such as Adobe Flash.
+      </para>
+    </note>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="enchant"/>,
+      <xref linkend="geoclue2"/> or
+      <xref linkend="geoclue"/>,
+      <xref linkend="gobject-introspection"/> and
+      <xref linkend="hicolor-icon-theme"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="gtk-doc"/>,
+      <xref linkend="llvm"/> and
+      <ulink url="http://xsltml.sourceforge.net/">MathML</ulink>
+    </para>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/webkitgtk"/>
+    </para>
+
+<!--    <caution>
+      <para>
+        The BLFS systemd development team is looking into archiving this
+        package due to ease of maintenance and incompatibility with GCC6.
+      </para>
+    </caution>-->
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of WebKitGTK+</title>
+
+    <para>
+      If you have not installed <xref linkend="gtk-doc"/>, fix a bug that will
+      cause <command>make install</command> to fail:
+    </para>
+
+<screen><userinput>sed -i '/generate-gtkdoc --rebase/s:^:# :' GNUmakefile.in</userinput></screen>
+
+    <para>
+      Fix a couple of compiler issues when built with GCC-6.1:
+    </para>
+
+<screen><userinput>patch -Np1 -i ../webkitgtk-&webkitgtk2-version;-gcc6-1.patch</userinput></screen>
+
+    <note>
+      <para>
+        Unless noted otherwise, the packages depending on this package
+        expect it to be built against <application>GTK+ 3</application>.
+      </para>
+    </note>
+
+    <para>
+      To build <application>WebKitGTK+</application> against
+      <application>GTK+ 3</application>, run the following
+      commands:
+    </para>
+
+<screen><userinput>mkdir build3 &amp;&amp;
+pushd build3 &amp;&amp;
+CFLAGS="-fno-delete-null-pointer-checks"   \
+CXXFLAGS="-fno-delete-null-pointer-checks" \
+../configure --prefix=/usr --enable-introspection &amp;&amp;
+make &amp;&amp;
+popd</userinput></screen>
+
+    <para>
+      To build <application>WebKitGTK+</application> against
+      <application>GTK+ 2</application>, run the following
+      commands:
+    </para>
+
+<screen><userinput>mkdir build2 &amp;&amp;
+pushd build2 &amp;&amp;
+CFLAGS="-fno-delete-null-pointer-checks"   \
+CXXFLAGS="-fno-delete-null-pointer-checks" \
+../configure --prefix=/usr --with-gtk=2.0 --disable-webkit2 &amp;&amp;
+make &amp;&amp;
+popd</userinput></screen>
+
+    <para>
+      This package does not have a working testsuite. However, there are two
+      useable basic graphical web browsers in the build directory,
+      <application>Programs/GtkLauncher</application> and
+      <application>Programs/MiniBrowser</application>. If launching any one
+      fails, there is a problem with the build.
+    </para>
+
+    <para>
+      If you have built the package against <application>GTK+ 3</application>,
+      install it by running the following commands as the <systemitem
+      class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make -C build3 install                             &amp;&amp;
+rm -rf /usr/share/gtk-doc/html/webkit{,dom}gtk-3.0 &amp;&amp;
+if [ -e /usr/share/gtk-doc/html/webkitdomgtk ]; then
+  mv -v /usr/share/gtk-doc/html/webkitdomgtk{,-3.0}
+fi
+if [ -e /usr/share/gtk-doc/html/webkitgtk ]; then
+  mv -v /usr/share/gtk-doc/html/webkitgtk{,-3.0}
+fi</userinput></screen>
+
+    <para>
+      If you have built the package against <application>GTK+ 2</application>,
+      install it by running the following commands as the <systemitem
+      class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make -C build2 install                             &amp;&amp;
+rm -rf /usr/share/gtk-doc/html/webkit{,dom}gtk-1.0 &amp;&amp;
+if [ -e /usr/share/gtk-doc/html/webkitdomgtk ]; then
+  mv -v /usr/share/gtk-doc/html/webkitdomgtk{,-1.0}
+fi
+if [ -e /usr/share/gtk-doc/html/webkitgtk ]; then
+  mv -v /usr/share/gtk-doc/html/webkitgtk{,-1.0}
+fi</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para>
+      <parameter>--enable-introspection</parameter>: This switch enables
+      <application>Gobject Introspection</application> bindings and is
+      required if building <application>GNOME</application> Desktop.
+      Remove if you don't have <application>Gobject
+      Introspection</application> installed or you don't want to install
+      <application>GNOME</application>. It is not needed if building
+      against <application>GTK+ 2</application>, although it can be used
+      if desired.
+    </para>
+
+    <para>
+      <parameter>--with-gtk=2.0 --disable-webkit2</parameter>: These switches
+      force <application>WebKitGTK+</application> to compile against
+      <application>GTK+ 2</application>, even if
+      <application>GTK+ 3</application> is also installed.
+    </para>
+
+    <para>
+      <option>--disable-geolocation</option>: Use this switch if you don't
+      want to install <xref linkend="geoclue"/> or
+      <xref linkend="geoclue2"/>.
+    </para>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/gtk-doc-rebuild.xml"/>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          jsc-3 <emphasis>or</emphasis> jsc-1
+        </seg>
+        <seg>
+          libjavascriptcoregtk-3.0.so,
+          libwebkit2gtk-3.0.so and
+          libwebkitgtk-3.0.so <emphasis>or</emphasis>
+          libjavascriptcoregtk-1.0.so and
+          libwebkitgtk-1.0.so
+        </seg>
+        <seg>
+          /usr/include/webkitgtk-3.0,
+          /usr/lib/webkit2gtk-3.0,
+          /usr/share/gtk-doc/html/webkitgtk-3.0,
+          /usr/share/gtk-doc/html/webkitdomgtk-3.0,
+          /usr/share/gtk-doc/html/webkit2gtk and
+          /usr/share/webkitgtk-3.0 <emphasis>or</emphasis>
+          /usr/include/webkit-1.0,
+          /usr/share/gtk-doc/html/webkitgtk-1.0,
+          /usr/share/gtk-doc/html/webkitdomgtk-1.0 and
+          /usr/share/webkit-1.0
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="jsc-3">
+        <term><command>jsc-3</command></term>
+        <listitem>
+          <para>
+            is a command-line utility that allows you to run JavaScript programs
+            outside of the context of a web browser linked against
+            <filename class="libraryfile">libjavascriptcoregtk-3.0.so</filename>.
+          </para>
+          <indexterm zone="webkitgtk2 jsc-3">
+            <primary sortas="b-jsc-3">jsc-3</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="jsc-1">
+        <term><command>jsc-1</command></term>
+        <listitem>
+          <para>
+            is a command-line utility that allows you to run JavaScript programs
+            outside of the context of a web browser linked against
+            <filename class="libraryfile">libjavascriptcoregtk-1.0.so</filename>.
+          </para>
+          <indexterm zone="webkitgtk2 jsc-1">
+            <primary sortas="b-jsc-1">jsc-1</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libjavascriptcoregtk-3.0">
+        <term><filename
+        class="libraryfile">libjavascriptcoregtk-3.0.so</filename></term>
+        <listitem>
+          <para>
+            contains core JavaScript API functions used by <command>jsc-3</command>
+            and <filename class="libraryfile">libwebkitgtk-3.0.so</filename>.
+          </para>
+          <indexterm zone="webkitgtk2 libjavascriptcoregtk-3.0">
+            <primary sortas="c-libjavascriptcoregtk-3.0">libjavascriptcoregtk-3.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libwebkitgtk-3.0">
+        <term><filename class="libraryfile">libwebkitgtk-3.0.so</filename></term>
+        <listitem>
+          <para>
+            contains the <application>WebKitGTK+</application> API functions for
+            <application>GTK+ 3</application>.
+          </para>
+          <indexterm zone="webkitgtk2 libwebkitgtk-3.0">
+            <primary sortas="c-libwebkitgtk-3.0">libwebkitgtk-3.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libwebkit2gtk-3.0">
+        <term><filename class="libraryfile">libwebkit2gtk-3.0.so</filename></term>
+        <listitem>
+          <para>
+            contains the <application>WebKit2</application> API functions.
+          </para>
+          <indexterm zone="webkitgtk2 libwebkit2gtk-3.0">
+            <primary sortas="c-libwebkit2gtk-3.0">libwebkit2gtk-3.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libjavascriptcoregtk-1.0">
+        <term><filename
+        class="libraryfile">libjavascriptcoregtk-1.0.so</filename></term>
+        <listitem>
+          <para>
+            contains core JavaScript API functions used by <command>jsc-1</command>
+            and <filename class="libraryfile">libwebkitgtk-1.0.so</filename>.
+          </para>
+          <indexterm zone="webkitgtk2 libjavascriptcoregtk-1.0">
+            <primary sortas="c-libjavascriptcoregtk-1.0">libjavascriptcoregtk-1.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libwebkitgtk-1.0">
+        <term><filename class="libraryfile">libwebkitgtk-1.0.so</filename></term>
+        <listitem>
+          <para>
+            contains the <application>WebKitGTK+</application> API functions for
+            <application>GTK+ 2</application>.
+          </para>
+          <indexterm zone="webkitgtk2 libwebkitgtk-1.0">
+            <primary sortas="c-libwebkitgtk-1.0">libwebkitgtk-1.0.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
